# Uses of Class
org.eclipse.ecf.core.sharedobject.util.SimpleFIFOQueue

Packages that use SimpleFIFOQueue
Package
Description
org.eclipse.ecf.core.sharedobject.util
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic

## Uses of SimpleFIFOQueue in org.eclipse.ecf.core.sharedobject.util

Constructors in org.eclipse.ecf.core.sharedobject.util with parameters of type SimpleFIFOQueue
Modifier
Constructor
Description
``
`QueueEnqueueImpl(SimpleFIFOQueue impl)`

## Uses of SimpleFIFOQueue in org.eclipse.ecf.provider.comm.tcp

Fields in org.eclipse.ecf.provider.comm.tcp declared as SimpleFIFOQueue
Modifier and Type
Field
Description
`protected SimpleFIFOQueue`
Client.`queue`
`protected SimpleFIFOQueue`
SSLClient.`queue`

## Uses of SimpleFIFOQueue in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return SimpleFIFOQueue
Modifier and Type
Method
Description
`SimpleFIFOQueue`
SOWrapper.`getQueue()`